[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Building the newest RTEMS error: Invalid BSP



autoconf version2.65   automake version1.11.

I build rtems 4.9.4 successfully but failed in the current cvs version.

Besides, I finished the things " Prove You can Work On RTEMS" required, can
somebody be so kind to tell me where the diff and snapshot to be sent ?
Thank you a lot!

2010/3/29 Joel Sherrill <joel.sherrill at oarcorp.com>

> On 03/29/2010 07:44 AM, smy wrote:
>
>> You lost steps in the configure process somewhere. Every
>>> BSP is built every day now.  Plus you are looking at 4.9.4.
>>>
>>> We will need more information to help you.  What host,
>>> configure command, "echo $PATH", etc.  You just said
>>> "it's broken" and we can't see your screen.
>>>
>>> FWIW you need to build the CVS head as part of the
>>> GSoC Getting Started but since you have started
>>> with 4.9.4, let's finish that first.
>>>
>>> --joel
>>>
>>>
>>>
>> Thank you for replying. :)
>>
>> My steps are:
>> 1. cvs -d :pserver:anoncvs at www.rtems.com:/usr1/CVS -z 9 co
>> -rrtems-x-y-branch rtems
>>     cd rtems
>>     ./bootstrap
>>
>>
>
> What version of autoconf and automake do you have?
> RTEMS has to be bootstrapped with the right versions.
> 4.9 uses these
>
> -bash-4.0$ rpm -qf /opt/rtems-4.9/bin/autoconf
> rtems-4.9-autoconf-2.62-4.fc12.noarch
> -bash-4.0$ rpm -qf /opt/rtems-4.9/bin/automake
> rtems-4.9-automake-1.10.3-1.fc12.noarch
>
> It doesn't look like either has any patches.
>
>  2. mkdir rtems-build
>>     cd rtems-build
>>     ../rtems/configure --target=sparc-rtems -enable-rtemsbsp=sis
>> --enable-test=samples --disable-posix --disable-itron
>> --prefix=/home/smy/sparc-rtems
>>
>>
> Since you built your own tools, did you apply the patches
> in contrib/crossrpms/patches?  What --target did you use
> on the tool configure. The expected target here is:
>
> --target=sparc-rtems4.9
>
>  3. make&&  make install
>>
>> configure: error: Invalid BSP
>> configure: error:
>> ../../../../../../../rtems/c/src/lib/libbsp/sparc/configure failed for
>> lib/libbsp/sparc
>> make[2]: *** [sis] Error 1
>> make[2]: Leaving directory `/home/smy/toolchain/rtems-build/sparc-rtems/c'
>> make[1]: *** [all-recursive] Error 1
>> make[1]: Leaving directory `/home/smy/toolchain/rtems-build/sparc-rtems/c'
>> make: *** [all-recursive] Error 1
>>
>>
>> Besides, the 'uname -a' result is 'Linux mort-desktop 2.6.24-26-generic
>> #1 SMP Tue Dec 1 18:37:31 UTC 2009 i686 GNU/Linux'
>> and
>>
>> PATH='/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/home/smy/sparc-bin/bin'
>> where /home/smy/sparc-bin/bin contains the binutils and cross-compiler.
>>
>>
>>
>>
> What distribution is this?  Obviously you built your
> own tools.
>
> This looks suspiciously like a bootstrap and autotools
> version issue.
>
> --
> Joel Sherrill, Ph.D.             Director of Research&  Development
> joel.sherrill at OARcorp.com        On-Line Applications Research
> Ask me about RTEMS: a free RTOS  Huntsville AL 35805
>   Support Available             (256) 722-9985
>
>
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://www.rtems.org/pipermail/rtems-users/attachments/20100329/39ef6011/attachment.htm>